Elm_Ctxpopup_Item_Group

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Functions
Elm_Ctxpopup_Item_Group
Elementary » Ctxpopup

Elementary context popup item class. More...

## Macros
#define | ELM_CTXPOPUP_ITEM_CLASS elm_ctxpopup_item_class_get()
| Get the context popup item class.

## Functions
EOAPI Elm_Widget_Item * | elm_obj_ctxpopup_item_prev_get (const Eo *obj)
| Get the item before this one in the widget's list of items.
EOAPI Elm_Widget_Item * | elm_obj_ctxpopup_item_next_get (const Eo *obj)
| Get the item after this one in the widget's list of items.
EOAPI void | elm_obj_ctxpopup_item_selected_set (Eo *obj, Eina_Bool selected)
| Indicates whether this item is currently selected.
EOAPI Eina_Bool | elm_obj_ctxpopup_item_selected_get (const Eo *obj)
| Indicates whether this item is currently selected.
EOAPI void | elm_obj_ctxpopup_item_init (Eo *obj, Evas_Smart_Cb func, const void *data)
| Init context popup item.
Elm_Widget_Item * | elm_ctxpopup_item_prev_get (const Elm_Ctxpopup_Item *obj)
| Get the item before this one in the widget's list of items.
Elm_Widget_Item * | elm_ctxpopup_item_next_get (const Elm_Ctxpopup_Item *obj)
| Get the item after this one in the widget's list of items.
void | elm_ctxpopup_item_selected_set (Elm_Ctxpopup_Item *obj, Eina_Bool selected)
| Indicates whether this item is currently selected.
Eina_Bool | elm_ctxpopup_item_selected_get (const Elm_Ctxpopup_Item *obj)
| Indicates whether this item is currently selected.
void | elm_ctxpopup_item_init (Elm_Ctxpopup_Item *obj, Evas_Smart_Cb func, const void *data)
| Init context popup item.

## Detailed Description

Elementary context popup item class.

## Macro Definition Documentation

## ◆ ELM_CTXPOPUP_ITEM_CLASS

#define ELM_CTXPOPUP_ITEM_CLASS elm_ctxpopup_item_class_get()

Get the context popup item class.

## Function Documentation

## ◆ elm_obj_ctxpopup_item_prev_get()

EOAPI Elm_Widget_Item * elm_obj_ctxpopup_item_prev_get | ( | const Eo * | obj | ) |

Get the item before this one in the widget's list of items.

See also elm_obj_ctxpopup_item_next_get.

Parameters

  [in] | obj | The object.

Returns
  The item before the object in its parent's list. If there is no previous item or in case of error, `null` is returned.

Referenced by elm_ctxpopup_item_prev_get().

## ◆ elm_obj_ctxpopup_item_next_get()

EOAPI Elm_Widget_Item * elm_obj_ctxpopup_item_next_get | ( | const Eo * | obj | ) |

Get the item after this one in the widget's list of items.

See also elm_obj_ctxpopup_item_prev_get.

Parameters

  [in] | obj | The object.

Returns
  The item after the object in its parent's list. If there is no next item or in case of error, `null` is returned.

Referenced by elm_ctxpopup_item_next_get().

## ◆ elm_obj_ctxpopup_item_selected_set()

EOAPI void elm_obj_ctxpopup_item_selected_set | ( | Eo * | obj,
|  | Eina_Bool | selected
| ) |  |

Indicates whether this item is currently selected.

Set the selected state of `item`.

This sets the selected state of the given item `it`. `true` for selected, `false` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be retrieved with elm_obj_ctxpopup_selected_item_get.

Selected items will be highlighted.

Parameters

  [in] | obj | The object.
  [in] | selected | The selection state.

Referenced by elm_ctxpopup_item_selected_set().

## ◆ elm_obj_ctxpopup_item_selected_get()

EOAPI Eina_Bool elm_obj_ctxpopup_item_selected_get | ( | const Eo * | obj | ) |

Indicates whether this item is currently selected.

Get the selected state of this item.

Parameters

  [in] | obj | The object.

Returns
  The selection state.

Referenced by elm_ctxpopup_item_selected_get().

## ◆ elm_obj_ctxpopup_item_init()

EOAPI void elm_obj_ctxpopup_item_init | ( | Eo * | obj,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Init context popup item.

Parameters

  [in] | obj | The object.
  [in] | func | Smart callback function
  [in] | data | Data pointer

Referenced by elm_ctxpopup_item_init().

## ◆ elm_ctxpopup_item_prev_get()

Elm_Widget_Item * elm_ctxpopup_item_prev_get | ( | const Elm_Ctxpopup_Item * | obj | ) |

Get the item before this one in the widget's list of items.

See also elm_ctxpopup_item_next_get.

Parameters

  [in] | obj | The object.

Returns
  The item before the object in its parent's list. If there is no previous item or in case of error, `null` is returned.

References elm_obj_ctxpopup_item_prev_get().

## ◆ elm_ctxpopup_item_next_get()

Elm_Widget_Item * elm_ctxpopup_item_next_get | ( | const Elm_Ctxpopup_Item * | obj | ) |

Get the item after this one in the widget's list of items.

See also elm_ctxpopup_item_prev_get.

Parameters

  [in] | obj | The object.

Returns
  The item after the object in its parent's list. If there is no next item or in case of error, `null` is returned.

References elm_obj_ctxpopup_item_next_get().

## ◆ elm_ctxpopup_item_selected_set()

void elm_ctxpopup_item_selected_set | ( | Elm_Ctxpopup_Item * | obj,
|  | Eina_Bool | selected
| ) |  |

Indicates whether this item is currently selected.

Set the selected state of `item`.

This sets the selected state of the given item `it`. `true` for selected, `false` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be retrieved with elm_ctxpopup_selected_item_get.

Selected items will be highlighted.

Parameters

  [in] | obj | The object.
  [in] | selected | The selection state.

References elm_obj_ctxpopup_item_selected_set().

## ◆ elm_ctxpopup_item_selected_get()

Eina_Bool elm_ctxpopup_item_selected_get | ( | const Elm_Ctxpopup_Item * | obj | ) |

Indicates whether this item is currently selected.

Get the selected state of this item.

Parameters

  [in] | obj | The object.

Returns
  The selection state.

References elm_obj_ctxpopup_item_selected_get().

## ◆ elm_ctxpopup_item_init()

void elm_ctxpopup_item_init | ( | Elm_Ctxpopup_Item * | obj,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Init context popup item.

Parameters

  [in] | obj | The object.
  [in] | func | Smart callback function
  [in] | data | Data pointer

References elm_obj_ctxpopup_item_init().